Update Sales Staff Assignments
Updates the Company assignments of the Sales Staff account associated with salesStaffId. This operation is non-destructive, meaning that assigning or unassigning a single Company from the Sales Staff does not affect the other assignments.
Authentication
X-Auth-Tokenstring
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
X-Store-Hashstring
Path parameters
salesStaffId
Unique numeric ID of the Sales Staff account.
Request
This endpoint expects a list of objects.
companyId
The unique numeric ID of a Company account.
assignStatus
Indicates whether the Sales Staff account is being assigned to (true) or unassigned from (false) the Company.
Response
OK
code
The HTTP Status code of the response.
data
meta
Errors
400
Bad Request Error
422
Unprocessable Entity Error